#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           wineasio
Version:	0.9.2
Release:	3.6
License:	LGPL-2.1+
Summary:	ASIO to JACK driver for wine
Url:		http://sourceforge.net/projects/wineasio/
Group:		System/Emulators/PC
Source0:	%name-%version.tar.gz
Source1:	asio.h
Source2:        baselibs.conf
BuildRequires:  ed
BuildRequires:  pkgconfig(jack)
BuildRequires:  wine

BuildRequires:  wine-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WineASIO provides an ASIO to JACK driver for WINE.
ASIO is the most common Windows low-latency driver,
so is commonly used in audio workstation programs.

%prep
%setup -q -n %name
%__cp %SOURCE1 .
%ifarch x86_64
  ./prepare_64bit_asio
  cp -a Makefile64 Makefile
%endif

%build
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
%__mkdir_p %buildroot/%_libdir/wine
cp wineasio.dll.so %buildroot/%_libdir/wine/

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README COPYING.LIB
%_libdir/wine/wineasio.dll.so

%changelog
* Thu Jun 12 2014 packmanbmw@lsmod.de
- version 0.9.2
  Add 64bit support
  Various bug fixes
* Sat May 21 2011 andrea@opensuse.org
- New package
